package integration_test

import (
	"io/ioutil"
	"os"
	"testing"

	bitestutils "github.com/cloudfoundry/bosh-cli/testutils"

	. "github.com/onsi/ginkgo"
	. "github.com/onsi/gomega"
)

var (
	originalHome string
	testHome     string
)

func TestIntegration(t *testing.T) {
	RegisterFailHandler(Fail)

	BeforeEach(func() {
		originalHome = os.Getenv("HOME")

		var err error
		testHome, err = ioutil.TempDir("", "bosh-init-cli-integration")
		Expect(err).NotTo(HaveOccurred())

		err = os.Setenv("HOME", testHome)
		Expect(err).NotTo(HaveOccurred())
	})

	AfterEach(func() {
		err := os.Setenv("HOME", originalHome)
		Expect(err).NotTo(HaveOccurred())

		err = os.RemoveAll(testHome)
		Expect(err).NotTo(HaveOccurred())
	})

	RunSpecs(t, "integration")
}

var _ = BeforeSuite(func() {
	err := bitestutils.BuildExecutable()
	Expect(err).NotTo(HaveOccurred())
})
